%define build_release 0
%define build_beta 1
%define build_snapshot 2

%define isClean 1

%define isBuild %{build_release}

%define debug 0

%define release_number 1

%define build_for_ftp 0

%define strip_bin 0
%define final 0
%define rpm_clean 1

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define libtool 1

Version: 3.0.5a
Name: kdeutils
Prefix: /usr
Summary: K Desktop Environment - Utilities
Epoch: 6
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-buildroot

%if "%{isBuild}" == "%{build_release}"
%define release_name %{nil}
Release: %{release_number}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{name}-%{version}.tar.bz2
%endif

%if "%{isBuild}" == "%{build_beta}"
%define release_name beta1
Release: 0.%{release_name}.%{release_number}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{name}-%{release_name}.tar.bz2
%endif

%if "%{isBuild}" == "%{build_snapshot}"
%define release_name 20020807
Release: 0.%{release_name}cvs.%{release_number}
Source: cvs://cvs.kde.org/%{name}-%{release_name}.tar.bz2
%endif

%if %{build_for_ftp}
ExclusiveArch: %{ix86}
%endif

Source900: gccver.c

Patch: kdeutils-3.0.0-kedit-confirmoverwrite.patch
Patch1: kdeutils-3.0.2-desktop.patch
Patch2: kdf-3.0.2-label.patch
Patch3: kdeutils-3.0.5a-strlcpy.patch

BuildRequires: kdelibs-devel >= 3.0.3
BuildRequires: kdebase-devel >= 3.0.3
BuildRequires: automake15

%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive  manager); kab (address book); karm (personal
time tracker); kcalc (scientific calculator); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klipper (clipboard tool); kljettool(HP printer configuration tool); klpq
(print queue manager) knotes (post-it notes for the desktop); kpm
(process manager similar to 'top', but more advanced);kwrite (improved
text editor).

%package -n ark
Summary: GUI frontend for handling archive files
Group: Applications/Archiving
Requires: zip unzip tar
Obsoletes: kdeutils

%description -n ark
Ark is a KDE tool for handling archive files.
It supports the following file formats:
  zip
  plain tar and tar with compressors lzop, gzip, bzip2, bzip, compress
  lha
  zoo
  single files compressed with compressors lzop, gzip, bzip2, bzip, compress
  rar
  ar

%package -n kcalc
Summary: KDE pocket calculator
Group: Applications/Engineering
Obsoletes: kdeutils

%description -n kcalc
A KDE pocket calculator.

%package -n kcharselect
Summary: Character Selector
Group: User Interface/Desktops
Requires: kdebase >= 3.0.4
Obsoletes: kdeutils

%description -n kcharselect
KDE Character Selector - allows you to enter characters not found on your
keyboard.

%package -n kdepasswd
Summary: KDE frontend to changing your password
Group: User Interface/Desktops
Obsoletes: kdeutils

%description -n kdepasswd
KDE frontend to changing your password and other user data.

%package -n kdessh
Summary: KDE frontend to ssh
Group: Applications/Internet
Requires: openssh-clients
Obsoletes: kdeutils

%description -n kdessh
KDE frontend to ssh (Secure Shell, an application to remotely control a
different Linux or Linux-like system securely).

%package -n kdf
Summary: Application and KDE applet to monitor available diskspace
Group: Applications/System
Requires: kdebase >= %{version}
Obsoletes: kdeutils

%description -n kdf
kdeutils-kdf contains the kdf, kwikdisk and kcmdf tools for monitoring
available diskspace.

%package -n kedit
Summary: An easy to use text editor
Group: Applications/Editors
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n kedit
An easy to use text editor

%package -n kfloppy
Summary: Floppy disk formatter
Group: Applications/System
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n kfloppy
KFloppy formats floppy disks and creates ext2 or DOS filesystems on them.

%package -n khexedit
Summary: Hex editor
Group: Applications/Editors
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n khexedit
A KDE hex editor. It allows you to edit binary files.

%package -n kjots
Summary: Virtual notepad
Group: User Interface/Desktops
Obsoletes: kdeutils

%description -n kjots
KJots is a virtual notepad - you can put notes on your desktop.

%package laptop
Summary: Laptop utilities for KDE
Group: User Interface/Desktops
Requires: kdebase >= %{version}
Obsoletes: kdeutils

%description laptop
Various laptop-related utilities for KDE.
kdeutils-laptop adds battery monitoring to kicker (the KDE panel) and allows
you to manage power management and PCMCIA cards from the KDE control center.

%package -n kljettool
Summary: Configuration tool for LaserJet and similar printers
Group: Applications/Publishing
Obsoletes: kdeutils

%description -n kljettool
A KDE Configuration tool for HP LaserJet and compatible printers.

%package -n klpq
Summary: KDE tool for managing your print spooler
Group: Applications/System
Requires: /usr/bin/lpq
Obsoletes: kdeutils

%description -n klpq
A KDE tool for managing your print spooler.

%package -n klprfax
Summary: Fax sending support for KDE
Group: Applications/System
Requires: /usr/bin/lpq
Requires: kdebase >= %{version}
Obsoletes: kdeutils

%description -n klprfax
Fax sending support for KDE.
kdeutils-klprfax allows any KDE application to treat a fax modem just like
a printer. Any KDE application that can print will be able to send faxes.

%package -n kregexpeditor
Summary: Regular Expressions Editor
Group: Applications/System
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n kregexpeditor
A Regular Expressions Editor.

%package -n kregexpeditor-devel
Summary: Development files for kregexpeditor
Group: Development/Libraries
Obsoletes: kdeutils

%description -n kregexpeditor-devel
Development files for kregexpeditor

%package -n ktimer
Summary: A timer (stop watch).
Group: User Interface/Desktops
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n ktimer
A timer (stop watch).

%prep
rm -rf $RPM_BUILD_ROOT

%if "%{isBuild}" == "%{build_release}"
%setup -q
%else
%setup -q -n %{name}-%{version}-%{release_name}
%endif

%patch -p1 -b .confirm
%patch1 -p1
%patch2 -p1 -b .label
%patch3 -p1 -b .strlcpy

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-use-cxa-atexit -fno-check-new" \
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
./configure \
   --prefix=%{prefix} \
   --libdir=%{_libdir} \
   --disable-rpath \
%if %{final}
   --enable-final \
%endif
   --includedir=%{_includedir}/kde

gcc -o gccver %{SOURCE900}
if [ "0`./gccver`" -lt 3001 ]; then
   find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi

# The Makefiles in kfloppy are broken; they can't handle
# SMPified builds. FIXME
make -C kfloppy %{?_smp_mflags}

make %{?_smp_mflags}

%install
%if %{strip_bin}
make install-strip DESTDIR=$RPM_BUILD_ROOT
%else
make install DESTDIR=$RPM_BUILD_ROOT
%endif

# Set symlinks for files we renamed because of compiler ABI issues
if [ "0`./gccver`" -lt 3001 ]; then
   REL="gcc`./gccver -v`"
   solink() {
      sover=$1
      somajor=`echo $sover |sed -e "s,\..*,,"`
      shift
      for i in $@; do
         if [ -e $RPM_BUILD_ROOT/%{_libdir}/lib${i}-${REL}.so ]; then
            ln -s lib${i}-${REL}.so $RPM_BUILD_ROOT/%{_libdir}/lib${i}.so.${sover}
            ln -s lib${i}-${REL}.so $RPM_BUILD_ROOT/%{_libdir}/lib${i}.so.${somajor}
         elif [ -e $RPM_BUILD_ROOT%{_libdir}/lib${i}-${REL}.so.? ]; then
            ln -s `basename $RPM_BUILD_ROOT%{_libdir}/lib${i}-${REL}.so.?` $RPM_BUILD_ROOT/%{_libdir}/lib${i}.so.${sover}
            ln -s `basename $RPM_BUILD_ROOT%{_libdir}/lib${i}-${REL}.so.?` $RPM_BUILD_ROOT/%{_libdir}/lib${i}.so.${somajor}
         fi
      done
   }
   solink 1.0.0 ark
fi


# Make symlinks relative
pushd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && ln -sf ../common $i
done
popd

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

pushd $RPM_BUILD_ROOT%{_datadir}/applnk
for i in `find . -name "*.desktop"`; do
  grep "Hidden=true" $i >& /dev/null && rm -f $i
done
popd

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Utility;X-Red-Hat-Base" \
   --copy-generic-name-to-name \
   --delete-original \
   --add-only-show-in KDE \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kcalc.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/ark.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/KCharSelect.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/KFloppy.desktop

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Utility;X-Red-Hat-Base" \
   --copy-generic-name-to-name \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/klprfax.desktop

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;System;X-Red-Hat-Extra" \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applnk/System/kdf.desktop

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Utility;X-Red-Hat-Extra" \
   --delete-original \
   --add-only-show-in KDE \
   --copy-generic-name-to-name \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Editors/KEdit.desktop

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Utility;X-Red-Hat-Extra" \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/khexedit.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/Kjots.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/KLJetTool.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/KLpq.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/ktimer.desktop

for i in FileBrowsing Information LookNFeel Network Peripherals Personalization \
   PowerControl Sound System WebBrowsing; do
   case $i in
      FileBrowsing) catagory="X-KDE-FileBrowsing";;
      Databases) catagory="X-KDE-Database";;
      Help) catagory="X-KDE-Help";;
      Information) catagory="X-KDE-Information";;
      LookNFeel) catagory="X-KDE-LookNFeel";;
      Network) catagory="X-KDE-Network";;
      Peripherals) catagory="X-KDE-Peripherals";;
      Personalization) catagory="X-KDE-Personalization";;
      PowerControl) catagory="X-KDE-PowerControl";;
      Sound) catagory="X-KDE-Sound";;
      System) catagory="X-KDE-System";;
      WebBrowsing) catagory="X-KDE-WebBrowsing";;
   esac
   if /bin/ls $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/$i/*.desktop >& /dev/null ; then
     desktop-file-install --vendor kde \
       --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       --add-category "$catagory" \
       --add-only-show-in KDE \
       --delete-original \
       $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/$i/*.desktop
   fi
done

echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/kde-kdepasswd.desktop
echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/kde-klprfax.desktop
echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/kde-kwikdisk.desktop

%endif

%clean
%if %{rpm_clean}
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}
%endif

%post -n ark -p /sbin/ldconfig

%postun -n ark -p /sbin/ldconfig

%files -n ark
%defattr(-,root,root)
%{_datadir}/apps/ark
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/icons/*/*/*/ark.png
%if %{desktop_file}
%{_datadir}/applications/*ark.desktop
%else
%{_datadir}/applnk/Utilities/ark.desktop
%endif
%{_datadir}/services/arkpart.desktop
%{_libdir}/libark*.*
%{_bindir}/ark
%doc %{_docdir}/HTML/en/ark

%files -n kcalc
%defattr(-,root,root)
%{_libdir}/kcalc*.*
%{_bindir}/kcalc
%{_datadir}/icons/*/*/*/kcalc.png
%if %{desktop_file}
%{_datadir}/applications/*kcalc.desktop
%else
%{_datadir}/applnk/Utilities/kcalc.desktop
%endif
%{_datadir}/apps/kcalc
%doc %{_docdir}/HTML/en/kcalc

%files -n kcharselect
%defattr(-,root,root)
%{_bindir}/kcharselect
%{_datadir}/icons/*/*/*/kcharselect.png
%if %{desktop_file}
%{_datadir}/applications/*KCharSelect.desktop
%else
%{_datadir}/applnk/Utilities/KCharSelect.desktop
%endif
%{_libdir}/kde3/kcharselectapplet*.*
%{_datadir}/apps/kicker/applets/kcharselectapplet.desktop

%files -n kdepasswd
%defattr(-,root,root)
%{_bindir}/kdepasswd
%if ! %{desktop_file}
%{_datadir}/applnk/Utilities/kdepasswd.desktop
%endif
%{_datadir}/applications/*kdepasswd.desktop

%files -n kdessh
%defattr(-,root,root)
%{_bindir}/kdessh

%files -n kdf
%defattr(-,root,root)
%{_datadir}/icons/*/*/*/kcmdf.png
%{_datadir}/icons/*/*/*/kdf.png
%{_datadir}/icons/*/*/*/kwikdisk.png
%{_datadir}/apps/kdf
%if %{desktop_file}
%{_datadir}/applications/*kdf.desktop
%{_datadir}/applications/*kwikdisk.desktop
%{_datadir}/applications/*kcmdf.desktop
%else
%{_datadir}/applnk/System/kdf.desktop
%{_datadir}/applnk/System/kwikdisk.desktop
%{_datadir}/applnk/Settings/Information/kcmdf.desktop
%endif
%{_libdir}/kde3/kcm_kdf*
%{_bindir}/kdf
%{_bindir}/kwikdisk
%doc %{_docdir}/HTML/en/kdf

%files -n kedit
%defattr(-,root,root)
%{_datadir}/icons/*/*/*/kedit.png
%if %{desktop_file}
%{_datadir}/applications/*KEdit.desktop
%else
%{_datadir}/applnk/Editors/KEdit.desktop
%endif
%{_datadir}/apps/kedit
%{_libdir}/kedit*.*
%{_bindir}/kedit
%doc %{_docdir}/HTML/en/kedit

%files -n kfloppy
%defattr(-,root,root)
%{_bindir}/kfloppy
%{_datadir}/icons/*/*/*/kfloppy.png
%if %{desktop_file}
%{_datadir}/applications/*KFloppy.desktop
%else
%{_datadir}/applnk/Utilities/KFloppy.desktop
%endif
%doc %{_docdir}/HTML/en/kfloppy

%files -n khexedit
%defattr(-,root,root)
%{_datadir}/apps/khexedit
%{_datadir}/icons/*/*/*/khexedit.png
%if %{desktop_file}
%{_datadir}/applications/*khexedit.desktop
%else
%{_datadir}/applnk/Utilities/khexedit.desktop
%endif
%{_bindir}/khexedit
%doc %{_docdir}/HTML/en/khexedit

%files -n kjots
%defattr(-,root,root)
%{_datadir}/icons/*/*/*/kjots.png
%{_datadir}/apps/kjots
%if %{desktop_file}
%{_datadir}/applications/*Kjots.desktop
%else
%{_datadir}/applnk/Utilities/Kjots.desktop
%endif
%{_bindir}/kjots
%doc %{_docdir}/HTML/en/kjots

%files laptop
%defattr(-,root,root)
%{_datadir}/apps/klaptopdaemon
%{_datadir}/icons/*/*/*/klaptopdaemon.png
%{_datadir}/icons/*/*/*/laptop_battery.png
%{_datadir}/icons/*/*/*/laptop_pcmcia.png
%if %{desktop_file}
%{_datadir}/applications/kde-pcmcia.desktop
%{_datadir}/applications/kde-battery.desktop
%{_datadir}/applications/kde-bwarning.desktop
%{_datadir}/applications/kde-cwarning.desktop
%{_datadir}/applications/kde-power.desktop
%else
%{_datadir}/applnk/Settings/Information/pcmcia.desktop
%{_datadir}/applnk/Settings/PowerControl
%endif
%{_libdir}/kde3/kcm_laptop*
%{_bindir}/klaptopdaemon
%{_libdir}/klaptop*
%{_datadir}/services/klaptopdaemon.desktop

%files -n kljettool
%defattr(-,root,root)
%{_datadir}/icons/*/*/*/kljettool.png
%if %{desktop_file}
%{_datadir}/applications/*KLJetTool.desktop
%else
%{_datadir}/applnk/Utilities/KLJetTool.desktop
%endif
%{_datadir}/apps/kljettool
%{_bindir}/kljettool
%doc %{_docdir}/HTML/en/kljettool

%files -n klpq
%defattr(-,root,root)
%{_bindir}/klpq
%{_datadir}/icons/*/*/*/klpq.png
%if %{desktop_file}
%{_datadir}/applications/*KLpq.desktop
%else
%{_datadir}/applnk/Utilities/KLpq.desktop
%endif
%doc %{_docdir}/HTML/en/klpq

%files -n klprfax
%defattr(-,root,root)
%{_bindir}/klprfax*
%{_datadir}/icons/*/*/*/klprfax.png
%if ! %{desktop_file}
%{_datadir}/applnk/Utilities/klprfax.desktop
%endif
%{_datadir}/applications/*klprfax.desktop
%doc %{_docdir}/HTML/en/klprfax

%files -n kregexpeditor
%defattr(-,root,root)
%{_datadir}/apps/kregexpeditor
%{_datadir}/services/kregexpeditorgui.desktop
%{_libdir}/kde3/libkregexpeditorgui*.*
%doc %{_docdir}/HTML/en/KRegExpEditor

%files -n kregexpeditor-devel
%defattr(-,root,root)
%{_includedir}/kde/kwidgetstreamer.h
%{_includedir}/kde/kmultiform*

%files -n ktimer
%defattr(-,root,root)
%{_bindir}/ktimer
%if %{desktop_file}
%{_datadir}/applications/*ktimer.desktop
%else
%{_datadir}/applnk/Utilities/ktimer.desktop
%endif

%changelog
* Tue Dec 24 2002 Than Ngo <than@redhat.com> 3.0.5a-1
- update to 3.0.5a

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Aug 31 2002 Than Ngo <than@redhat.com> 3.0.3-3
- fix Configure... menu entry in Klaptop applet

* Mon Aug 19 2002 Karsten Hopp <karsten@redhat.de>
- Skip LABEL entries in /etc/FSTAB until kdf can handle them
  The mounts show up with their device name instead (#71063)

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop files issue (bug #67304,67305)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild with changed sonames

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Add prompt for overwriting files in kedit (#59321)

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Fix updating from 2.x (#62259)

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Wed Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- kpm is now fully in kdebase; remove spec file hacks

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Rename subpackages

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020131.1
- Update, remove kpm (it's in kdebase now)

* Tue Jan 22 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020122.1
- Fix bug #58658

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020117.1
- Build with new kdelibs, update

* Thu Dec 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011227.1
- Update
- Split into subpackages

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove efax from the package, we're shipping it separately
- Update

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Make symlinks relative

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up detection of PCMCIA sockets

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the libkdefakes.so.0 dependency

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- Don't exclude ia64 anymore

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdeutils-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- turn off SMP build for kfloppy (broken Makefiles)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-40 and glibc-2.1.92-14
- don't use make -j, it is broken

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch: ia64

* Thu Apr  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Require and BuildPrereq kdebase - kfind uses libkonq.
- new snapshot

* Mon Mar 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- we don't support lp or lprng in 6.x, use lpr as spooler in klpq.
- specific requires for zip and unzip for ark.

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark docs files as such.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- kde 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot provides kpm and kwrite fixes.

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Mon Jan 18 1999 Preston Brown <pbrown@redhat.com>
- updated macros to be RPM 3.0 compliant, removed redhat dependency.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in changes from Duncan Haldane







